summaryrefslogtreecommitdiff
path: root/src/pmdas/postfix/Install
diff options
context:
space:
mode:
Diffstat (limited to 'src/pmdas/postfix/Install')
-rw-r--r--src/pmdas/postfix/Install34
1 files changed, 34 insertions, 0 deletions
diff --git a/src/pmdas/postfix/Install b/src/pmdas/postfix/Install
new file mode 100644
index 0000000..07fe957
--- /dev/null
+++ b/src/pmdas/postfix/Install
@@ -0,0 +1,34 @@
+#! /bin/sh
+#
+# Copyright (c) 2009 Josef 'Jeff' Sipek <jeffpc@josefsipek.net>
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
+# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
+# for more details.
+#
+# Install the postfix PMDA
+#
+
+. $PCP_DIR/etc/pcp.env
+. $PCP_SHARE_DIR/lib/pmdaproc.sh
+
+iam=postfix
+perl_opt=true
+daemon_opt=false
+forced_restart=false
+
+which qshape >/dev/null 2>&1
+if test $? -ne 0; then
+ echo "Postfix qshape utility is not installed"
+ exit 1
+fi
+
+pmdaSetup
+pmdaInstall
+exit 0